List of all members
clan::JPEGProvider Class Reference
clanDisplay Image Providers

Image provider that can load JPEG (.jpg) files. More...

`#include <jpeg_provider.h>`

## Static Public Member Functions
Construction
static PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb=false)
| Called to load an image with this provider type. More...
static PixelBuffer | load (const std::string &fullname, bool srgb=false)
static PixelBuffer | load (IODevice &file, bool srgb=false)
static void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs, int quality=85)
| Save the given PixelBuffer into a JPEG. More...
static void | save (PixelBuffer buffer, const std::string &fullname, int quality=85)
static void | save (PixelBuffer buffer, IODevice &file, int quality=85)

## Detailed Description

Image provider that can load JPEG (.jpg) files.

The documentation for this class was generated from the following file:

- jpeg_provider.h